Ninja Trader with Esignal datafeed - futures io
futures io futures trading



Ninja Trader with Esignal datafeed


Discussion in NinjaTrader

Updated by Obelixtrader
      Top Posters
    1. looks_one laxmicc with 3 posts (1 thanks)
    2. looks_two ratfink with 2 posts (4 thanks)
    3. looks_3 Obelixtrader with 1 posts (0 thanks)
    4. looks_4 vicky2005 with 1 posts (0 thanks)
    1. trending_up 1,722 views
    2. thumb_up 5 thanks given
    3. group 5 followers
    1. forum 7 replies
    2. attach_file 2 attachments




Welcome to futures io: the largest futures trading community on the planet, with well over 100,000 members
  • Genuine reviews from real traders, not fake reviews from stealth vendors
  • Quality education from leading professional traders
  • We are a friendly, helpful, and positive community
  • We do not tolerate rude behavior, trolling, or vendors advertising in posts
  • We are here to help, just let us know what you need
You'll need to register in order to view the content of the threads and start contributing to our community.  It's free and simple.

-- Big Mike, Site Administrator

(If you already have an account, login at the top of the page)

 
Search this Thread
 

Ninja Trader with Esignal datafeed

(login for full post details)
  #1 (permalink)
Raipur, Chhattisgarh, India
 
 
Posts: 4 since Jul 2017
Thanks: 6 given, 1 received

Hello All,

I am unable to connect ninja trader 7 with esignal datafeed. Nijatrader 7 shows Login failed: Failed to load 'c:\C:\Program Files (x86)\NinjaTrader 7\bin\ESignal\dbcapi.dll". Please help me out.

Regards,
Lucky Chopra

Attached Thumbnails
Click image for larger version

Name:	esignal connection error.jpg
Views:	58
Size:	126.4 KB
ID:	239211  
Reply With Quote

Can you help answer these questions
from other members on futures io?
Setting up an alert on a Gartley study
Traders Hideout
Thinkorswim poor order execution?
Brokers
DataLoader- incorrect cumulative values for other symbols
MultiCharts
Chart text fixed and move with time
NinjaTrader
Is your daily return predetermined?
Psychology and Money Management
 
 
(login for full post details)
  #2 (permalink)
chennai/india
 
 
Posts: 155 since Sep 2015
Thanks: 111 given, 147 received

Whats the Cost of this esignal for NSE & MCX Segment wise?BTW No idea about ur log in issue.

Reply With Quote
 
(login for full post details)
  #3 (permalink)
Raipur, Chhattisgarh, India
 
 
Posts: 4 since Jul 2017
Thanks: 6 given, 1 received



yawaniga View Post
Whats the Cost of this esignal for NSE & MCX Segment wise?BTW No idea about ur log in issue.

Pls contact viratech india for info. They have various plans available.

Reply With Quote
The following user says Thank You to laxmicc for this post:
 
(login for full post details)
  #4 (permalink)
Birmingham UK
 
Experience: Intermediate
Platform: NinjaTrader
Broker: TST/Rithmic
Trading: YM/Gold
 
ratfink's Avatar
 
Posts: 3,652 since Dec 2012
Thanks: 17,422 given, 8,386 received


laxmicc View Post
Hello All,

I am unable to connect ninja trader 7 with esignal datafeed. Nijatrader 7 shows Login failed: Failed to load 'c:\C:\Program Files (x86)\NinjaTrader 7\bin\ESignal\dbcapi.dll". Please help me out.

Regards,
Lucky Chopra

Looks like you are probably using the latest (v12) version of eSignal, this is not supported by NT7 on its own.

To use NT7 with eSignal you need to have installed the 10.6 legacy version of eSignal and be using the 32 bit version of NinjaTrader NT7.

The two versions of eSignal can co-exist on the same machine, in which case NT7 will connect fine to either but needs the 10.6 dbcapi.dll to launch.

fyi NT8 only supports the latest v12 eSignal because it needs version 12.2 of the Data Manager DM, although it will run in 32 or 64 bit mode. There are other problems with the NT8 to eSignal connection though.


Cheers

Travel Well
Visit my futures io Trade Journal Reply With Quote
The following 3 users say Thank You to ratfink for this post:
 
(login for full post details)
  #5 (permalink)
Raipur, Chhattisgarh, India
 
 
Posts: 4 since Jul 2017
Thanks: 6 given, 1 received


ratfink View Post
Looks like you are probably using the latest (v12) version of eSignal, this is not supported by NT7 on its own.

To use NT7 with eSignal you need to have installed the 10.6 legacy version of eSignal and be using the 32 bit version of NinjaTrader NT7.

The two versions of eSignal can co-exist on the same machine, in which case NT7 will connect fine to either but needs the 10.6 dbcapi.dll to launch.

fyi NT8 only supports the latest v12 eSignal because it needs version 12.2 of the Data Manager DM, although it will run in 32 or 64 bit mode. There are other problems with the NT8 to eSignal connection though.


Cheers

Now showing Login failer: unable to connect to level2 host.

Reply With Quote
 
(login for full post details)
  #6 (permalink)
Birmingham UK
 
Experience: Intermediate
Platform: NinjaTrader
Broker: TST/Rithmic
Trading: YM/Gold
 
ratfink's Avatar
 
Posts: 3,652 since Dec 2012
Thanks: 17,422 given, 8,386 received


laxmicc View Post
Now showing Login failer: unable to connect to level2 host.

Correct.

You probably won't have level II data so you need to clear the level 2 data field and usually the news server as well in the NinjaTrader account connection options.

e.g.




[Also clear international tick server unless you have non-US exchanges in your subscription package.]


Cheers

Travel Well
Visit my futures io Trade Journal Reply With Quote
The following user says Thank You to ratfink for this post:
 
(login for full post details)
  #7 (permalink)
Delhi Delhi/India
 
Experience: Intermediate
Platform: Esignal, Metastock and Investor/RT
Trading: Stocks
 
Posts: 4 since Apr 2012
Thanks: 35 given, 0 received

I am getting the same error. If we just replace the dbcapi.dll of 10.6 in the NT directory will that work??


ratfink View Post
Looks like you are probably using the latest (v12) version of eSignal, this is not supported by NT7 on its own.

To use NT7 with eSignal you need to have installed the 10.6 legacy version of eSignal and be using the 32 bit version of NinjaTrader NT7.

The two versions of eSignal can co-exist on the same machine, in which case NT7 will connect fine to either but needs the 10.6 dbcapi.dll to launch.

fyi NT8 only supports the latest v12 eSignal because it needs version 12.2 of the Data Manager DM, although it will run in 32 or 64 bit mode. There are other problems with the NT8 to eSignal connection though.


Cheers


Reply With Quote
 
(login for full post details)
  #8 (permalink)
Slovakia
 
Experience: Intermediate
Platform: Ninjatrader 8
Broker: Interactive Brokers
Trading: K200M,KOSDQ150
 
Posts: 195 since Aug 2009
Thanks: 73 given, 101 received

https://ninjatrader.com/ConnectionGuides/eSignal-Connection-Guide

Reply With Quote


futures io Trading Community Platforms and Indicators NinjaTrader > Ninja Trader with Esignal datafeed


August 15, 2018


Upcoming Webinars and Events
 

Introducing Edge Pools: Prop Pricing Model w/Edge Clear

Jul 9
 

Every journal equals ten meals for the hungry

Now
     



Copyright © 2020 by futures io, s.a., Av Ricardo J. Alfaro, Century Tower, Panama, +507 833-9432, info@futures.io
All information is for educational use only and is not investment advice.
There is a substantial risk of loss in trading commodity futures, stocks, options and foreign exchange products. Past performance is not indicative of future results.
no new posts